package com.zksy.dispatch.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zksy.dispatch.domain.DisEventUrge;
import com.zksy.dispatch.domain.DisEventUrgeDetail;
import com.zksy.dispatch.dto.EventUrgePageInDTO;

import java.util.List;

/**
 * 工作催办服务接口
 */
public interface DisEventUrgeService extends IService<DisEventUrge> {

    /**
     * 分页查询催办记录
     */
    Page<DisEventUrge> findByPage(EventUrgePageInDTO dto);

    /**
     * 执行催办
     */
    boolean doUrge(DisEventUrgeDetail detail);

    /**
     * 办结核实
     */
    boolean closeUrge(Long id);

    /**
     * 查询催办明细列表
     */
    List<DisEventUrgeDetail> getUrgeDetails(Long urgeId);
}
